(in-package #:test-upload)

(defparameter *upload-url* "https://SERVER:PORT/hunchentoot/test-upload/upload.html")

(defparameter *files* (list "fp.jpeg" "lm1.bmp" "lm2.bmp" "lm3.bmp")) ; "lm4.bmp" "lp1.bmp"
;                            "lp2.bmp" "lp3.bmp" "lp4.bmp" "lr1.bmp" "lr2.bmp" "lr3.bmp"
;                            "lr4.bmp" "lw1.bmp" "lw2.bmp" "lw3.bmp" "lw4.bmp" "rm1.bmp"
;                            "rm2.bmp" "rm3.bmp" "rm4.bmp" "rp1.bmp" "rp2.bmp" "rp3.bmp"
;                            "rp4.bmp" "rr1.bmp" "rr2.bmp" "rr3.bmp" "rr4.bmp" "rw1.bmp"
;                            "rw2.bmp" "rw3.bmp" "rw4.bmp"))

(defparameter *files-path* "./files/")

(defun test-upload (&optional (url *upload-url*))
  (dolist (file *files*)
    (format t "Uploading ~A ...~&" file)
    (drakma:http-request url
                         :method :post
                        ; :content-length t
                         :parameters (list (cons "img-file" (pathname (concatenate 'string *files-path* file)))))))
